Page MenuHomePhabricator

language icon appears in Wikidata on mobile web, but doesn't do anything
Closed, ResolvedPublic

Description

The language icon (文A) appears in Wikidata and Mediawiki on mobile web (such as https://m.wikidata.org/ and https://m.mediawiki.org/ ; the mobile view uses the Minerva skin), but doesn't do anything useful.

It could do useful things, for example switch the language is UI, labels, etc., or to move to the article in the projects according to sitelinks.

Since it is unusable, it should be disabled for the time being

Acceptance criteria

Details

Related Gerrit Patches:
operations/mediawiki-config : masterRemove language button from Wikidata and MediaWiki

Event Timeline

Amire80 created this task.Dec 24 2017, 4:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 24 2017, 4:47 PM

@Amire80 Please, can you add more description to this task so that it can be taken to the code-In site? Thanks.

I'm really not sure that it's appropriate for code-in. It's not a simple bug fix, but a question of design and defining the most desirable functionality.

I'm really not sure that it's appropriate for code-in. It's not a simple bug fix, but a question of design and defining the most desirable functionality.

Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)EditedJan 2 2018, 11:00 PM
Jdlrobson added a subscriber: Jdlrobson.

This should actually be a simple bug fix - we have the configuration option MinervaAlwaysShowLanguageButton which should be false for Wikidata (and MediaWiki) - not sure what happened there. We're also showing it on MediaWiki.org which makes no sense.

Have added the Google-Code-In tag, otherwise someone else should feel free to go ahead and make this happen.

(note we have absolutely no bandwidth to redesign this button for these two wikis - but see T106361 for MediaWiki.org example)

Jdlrobson moved this task from Backlog to Bugs on the MobileFrontend board.Jan 3 2018, 11:07 PM
Aklapper updated the task description. (Show Details)Jan 5 2018, 12:45 PM

Change 402643 had a related patch set uploaded (by Albert221; owner: Albert221):
[operations/mediawiki-config@master] Remove language button from Wikidata and MediaWiki

https://gerrit.wikimedia.org/r/402643

Change 402643 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove language button from Wikidata and MediaWiki

https://gerrit.wikimedia.org/r/402643

Mentioned in SAL (#wikimedia-operations) [2018-01-08T19:22:26Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:402643|Remove language button from Wikidata and MediaWiki]] T183665 (duration: 00m 51s)

Albert221 closed this task as Resolved.Jan 8 2018, 7:31 PM